JmolObject
Date: 2019-10-22

org.jmol.adapter.readers.pymol

## Class JmolObject

- java.lang.Object
- - org.jmol.adapter.readers.pymol.JmolObject

-     class JmolObject
      extends java.lang.Object

  a class to store rendering information prior to finishing file loading, specifically designed for reading PyMOL PSE files. More direct than a script

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `argb`
    `private javajs.util.BS` | `bsAtoms`
    `java.lang.String` | `cacheID`
    `private java.lang.Object[]` | `colors`
    `(package private) int` | `id`
    `private java.lang.Object` | `info`
    `(package private) java.lang.String` | `jmolName`
    `(package private) int` | `modelIndex`
    `(package private) RadiusData` | `rd`
    `private int` | `size`
    `(package private) float` | `translucency`
    `(package private) boolean` | `visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolObject(int id, java.lang.String branchNameID, javajs.util.BS bsAtoms, java.lang.Object info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `finalizeObject(PyMOLScene pymolScene, ModelSet m, java.lang.String mepList, boolean doCache)`
    `private int` | `getModelIndex(ModelSet m)`
    `(package private) void` | `offset(int modelOffset, int atomOffset)` offset is carried out in ModelLoader when the "script" is processed to move the bits to skip the base atom index.
    `(package private) void` | `setColors(short[] colixes, float translucency)`
    `(package private) void` | `setSize(float size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          int id

    - #### bsAtoms

          private javajs.util.BS bsAtoms

    - #### info

          private java.lang.Object info

    - #### size

          private int size

    - #### colors

          private java.lang.Object[] colors

    - #### modelIndex

          int modelIndex

    - #### jmolName

          java.lang.String jmolName

    - #### argb

          int argb

    - #### translucency

          float translucency

    - #### visible

          boolean visible

    - #### rd

          RadiusData rd

    - #### cacheID

          public java.lang.String cacheID

  - ### Constructor Detail

    - #### JmolObject

          JmolObject(int id,
                     java.lang.String branchNameID,
                     javajs.util.BS bsAtoms,
                     java.lang.Object info)

      Parameters:
        `id` - A Token or JmolConstants.SHAPE_XXXX
        `branchNameID` -
        `bsAtoms` -
        `info` - optional additional information for the shape

  - ### Method Detail

    - #### offset

          void offset(int modelOffset,
                      int atomOffset)

      offset is carried out in ModelLoader when the "script" is processed to move the bits to skip the base atom index.
      Parameters:
        `modelOffset` -
        `atomOffset` -

    - #### finalizeObject

          void finalizeObject(PyMOLScene pymolScene,
                              ModelSet m,
                              java.lang.String mepList,
                              boolean doCache)

    - #### getModelIndex

          private int getModelIndex(ModelSet m)

    - #### setColors

          void setColors(short[] colixes,
                         float translucency)

    - #### setSize

          void setSize(float size)